boost::geometry::sections
std::vector< section< Box, DimensionCount > >
sectionalize.hpp
typename Box
std::size_t DimensionCount DimensionCount
Box typedef Box boost::geometry::sections< Box, DimensionCount >::box_type box_type
std::size_t const std::size_t const boost::geometry::sections< Box, DimensionCount >::value value DimensionCount

Structure containing a collection of sections.

Derived from a vector, proves to be faster than of deque

vector might be templated in the future

boost::geometry::sections< Box, DimensionCount >
std::vector< section< Box, DimensionCount > >
T
boost::geometry::sections< Box, DimensionCount >
std::vector< section< Box, DimensionCount > >
elements
- boost::geometry::sections
  box_type
- boost::geometry::sections
  elements
- boost::geometry::sections
  value